Package io.dapr.v1

# Class DaprAppCallbackProtos.BindingEventResponse.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>
io.dapr.v1.DaprAppCallbackProtos.BindingEventResponse.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprAppCallbackProtos.BindingEventResponseOrBuilder`, `java.lang.Cloneable`

Enclosing class:
  DaprAppCallbackProtos.BindingEventResponse

    public static final class DaprAppCallbackProtos.BindingEventResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>
    implements DaprAppCallbackProtos.BindingEventResponseOrBuilder

     BindingEventResponse includes operations to save state or
     send data to output bindings optionally.

Protobuf type `dapr.proto.runtime.v1.BindingEventResponse`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addAllStates​(java.lang.Iterable<? extends CommonProtos.StateItem> values)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addAllTo​(java.lang.Iterable<java.lang.String> values)` | The list of output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addStates​(int index, CommonProtos.StateItem value)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addStates​(int index, CommonProtos.StateItem.Builder builderForValue)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addStates​(CommonProtos.StateItem value)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addStates​(CommonProtos.StateItem.Builder builderForValue)` | The state key values which will be stored in store_name.
  `CommonProtos.StateItem.Builder` | `addStatesBuilder()` | The state key values which will be stored in store_name.
  `CommonProtos.StateItem.Builder` | `addStatesBuilder​(int index)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addTo​(java.lang.String value)` | The list of output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `addToBytes​(com.google.protobuf.ByteString value)` | The list of output bindings.
  `DaprAppCallbackProtos.BindingEventResponse` | `build()` |
  `DaprAppCallbackProtos.BindingEventResponse` | `buildPartial()` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clear()` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearConcurrency()` | The concurrency of output bindings to send data to "to" output bindings list.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearData()` | The content which will be sent to "to" output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearStates()` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearStoreName()` | The name of state store where states are saved.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clearTo()` | The list of output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `clone()` |
  `DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency` | `getConcurrency()` | The concurrency of output bindings to send data to "to" output bindings list.
  `int` | `getConcurrencyValue()` | The concurrency of output bindings to send data to "to" output bindings list.
  `com.google.protobuf.ByteString` | `getData()` | The content which will be sent to "to" output bindings.
  `DaprAppCallbackProtos.BindingEventResponse` | `getDefaultInstanceForType()` |
  `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
  `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
  `CommonProtos.StateItem` | `getStates​(int index)` | The state key values which will be stored in store_name.
  `CommonProtos.StateItem.Builder` | `getStatesBuilder​(int index)` | The state key values which will be stored in store_name.
  `java.util.List<CommonProtos.StateItem.Builder>` | `getStatesBuilderList()` | The state key values which will be stored in store_name.
  `int` | `getStatesCount()` | The state key values which will be stored in store_name.
  `java.util.List<CommonProtos.StateItem>` | `getStatesList()` | The state key values which will be stored in store_name.
  `CommonProtos.StateItemOrBuilder` | `getStatesOrBuilder​(int index)` | The state key values which will be stored in store_name.
  `java.util.List<? extends CommonProtos.StateItemOrBuilder>` | `getStatesOrBuilderList()` | The state key values which will be stored in store_name.
  `java.lang.String` | `getStoreName()` | The name of state store where states are saved.
  `com.google.protobuf.ByteString` | `getStoreNameBytes()` | The name of state store where states are saved.
  `java.lang.String` | `getTo​(int index)` | The list of output bindings.
  `com.google.protobuf.ByteString` | `getToBytes​(int index)` | The list of output bindings.
  `int` | `getToCount()` | The list of output bindings.
  `com.google.protobuf.ProtocolStringList` | `getToList()` | The list of output bindings.
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
  `boolean` | `isInitialized()` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `mergeFrom​(DaprAppCallbackProtos.BindingEventResponse other)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `removeStates​(int index)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setConcurrency​(DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency value)` | The concurrency of output bindings to send data to "to" output bindings list.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setConcurrencyValue​(int value)` | The concurrency of output bindings to send data to "to" output bindings list.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setData​(com.google.protobuf.ByteString value)` | The content which will be sent to "to" output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)` |
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setStates​(int index, CommonProtos.StateItem value)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setStates​(int index, CommonProtos.StateItem.Builder builderForValue)` | The state key values which will be stored in store_name.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setStoreName​(java.lang.String value)` | The name of state store where states are saved.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setStoreNameBytes​(com.google.protobuf.ByteString value)` | The name of state store where states are saved.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setTo​(int index, java.lang.String value)` | The list of output bindings.
  `DaprAppCallbackProtos.BindingEventResponse.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

  `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

  ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

  `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

  `addAll, addAll, mergeFrom, newUninitializedMessageException`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

  `mergeFrom`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### clear

    public DaprAppCallbackProtos.BindingEventResponse.Builder clear()
    Specified by:
      `clear` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clear` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
    Overrides:
      `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### getDefaultInstanceForType

    public DaprAppCallbackProtos.BindingEventResponse getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

  - ### build

    public DaprAppCallbackProtos.BindingEventResponse build()
    Specified by:
      `build` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `build` in interface `com.google.protobuf.MessageLite.Builder`

  - ### buildPartial

    public DaprAppCallbackProtos.BindingEventResponse buildPartial()
    Specified by:
      `buildPartial` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

  - ### clone

    public DaprAppCallbackProtos.BindingEventResponse.Builder clone()
    Specified by:
      `clone` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `clone` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### setField

    public DaprAppCallbackProtos.BindingEventResponse.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `setField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### clearField

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)
    Specified by:
      `clearField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### clearOneof

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)
    Specified by:
      `clearOneof` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### setRepeatedField

    public DaprAppCallbackProtos.BindingEventResponse.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)
    Specified by:
      `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### addRepeatedField

    public DaprAppCallbackProtos.BindingEventResponse.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)
    Specified by:
      `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventResponse.Builder mergeFrom​(com.google.protobuf.Message other)
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventResponse.Builder mergeFrom​(DaprAppCallbackProtos.BindingEventResponse other)

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### mergeFrom

    public DaprAppCallbackProtos.BindingEventResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws java.io.IOException
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.Message.Builder`
    Specified by:
      `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
    Overrides:
      `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`
    Throws:
      `java.io.IOException`

  - ### getStoreName

    public java.lang.String getStoreName()

         The name of state store where states are saved.

    `string store_name = 1;`
    Specified by:
      `getStoreName` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The storeName.

  - ### getStoreNameBytes

    public com.google.protobuf.ByteString getStoreNameBytes()

         The name of state store where states are saved.

    `string store_name = 1;`
    Specified by:
      `getStoreNameBytes` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The bytes for storeName.

  - ### setStoreName

    public DaprAppCallbackProtos.BindingEventResponse.Builder setStoreName​(java.lang.String value)

         The name of state store where states are saved.

    `string store_name = 1;`
    Parameters:
      `value` - The storeName to set.
    Returns:
      This builder for chaining.

  - ### clearStoreName

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearStoreName()

         The name of state store where states are saved.

    `string store_name = 1;`
    Returns:
      This builder for chaining.

  - ### setStoreNameBytes

    public DaprAppCallbackProtos.BindingEventResponse.Builder setStoreNameBytes​(com.google.protobuf.ByteString value)

         The name of state store where states are saved.

    `string store_name = 1;`
    Parameters:
      `value` - The bytes for storeName to set.
    Returns:
      This builder for chaining.

  - ### getStatesList

    public java.util.List<CommonProtos.StateItem> getStatesList()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

  - ### getStatesCount

    public int getStatesCount()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesCount` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

  - ### getStates

    public CommonProtos.StateItem getStates​(int index)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStates` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

  - ### setStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder setStates​(int index, CommonProtos.StateItem value)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### setStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder setStates​(int index, CommonProtos.StateItem.Builder builderForValue)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder addStates​(CommonProtos.StateItem value)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder addStates​(int index, CommonProtos.StateItem value)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder addStates​(CommonProtos.StateItem.Builder builderForValue)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder addStates​(int index, CommonProtos.StateItem.Builder builderForValue)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addAllStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder addAllStates​(java.lang.Iterable<? extends CommonProtos.StateItem> values)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### clearStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearStates()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### removeStates

    public DaprAppCallbackProtos.BindingEventResponse.Builder removeStates​(int index)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesBuilder

    public CommonProtos.StateItem.Builder getStatesBuilder​(int index)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesOrBuilder

    public CommonProtos.StateItemOrBuilder getStatesOrBuilder​(int index)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesOrBuilder` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

  - ### getStatesOrBuilderList

    public java.util.List<? extends CommonProtos.StateItemOrBuilder> getStatesOrBuilderList()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`
    Specified by:
      `getStatesOrBuilderList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`

  - ### addStatesBuilder

    public CommonProtos.StateItem.Builder addStatesBuilder()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### addStatesBuilder

    public CommonProtos.StateItem.Builder addStatesBuilder​(int index)

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getStatesBuilderList

    public java.util.List<CommonProtos.StateItem.Builder> getStatesBuilderList()

         The state key values which will be stored in store_name.

    `repeated .dapr.proto.common.v1.StateItem states = 2;`

  - ### getToList

    public com.google.protobuf.ProtocolStringList getToList()

         The list of output bindings.

    `repeated string to = 3;`
    Specified by:
      `getToList` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      A list containing the to.

  - ### getToCount

    public int getToCount()

         The list of output bindings.

    `repeated string to = 3;`
    Specified by:
      `getToCount` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The count of to.

  - ### getTo

    public java.lang.String getTo​(int index)

         The list of output bindings.

    `repeated string to = 3;`
    Specified by:
      `getTo` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Parameters:
      `index` - The index of the element to return.
    Returns:
      The to at the given index.

  - ### getToBytes

    public com.google.protobuf.ByteString getToBytes​(int index)

         The list of output bindings.

    `repeated string to = 3;`
    Specified by:
      `getToBytes` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Parameters:
      `index` - The index of the value to return.
    Returns:
      The bytes of the to at the given index.

  - ### setTo

    public DaprAppCallbackProtos.BindingEventResponse.Builder setTo​(int index, java.lang.String value)

         The list of output bindings.

    `repeated string to = 3;`
    Parameters:
      `index` - The index to set the value at.
      `value` - The to to set.
    Returns:
      This builder for chaining.

  - ### addTo

    public DaprAppCallbackProtos.BindingEventResponse.Builder addTo​(java.lang.String value)

         The list of output bindings.

    `repeated string to = 3;`
    Parameters:
      `value` - The to to add.
    Returns:
      This builder for chaining.

  - ### addAllTo

    public DaprAppCallbackProtos.BindingEventResponse.Builder addAllTo​(java.lang.Iterable<java.lang.String> values)

         The list of output bindings.

    `repeated string to = 3;`
    Parameters:
      `values` - The to to add.
    Returns:
      This builder for chaining.

  - ### clearTo

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearTo()

         The list of output bindings.

    `repeated string to = 3;`
    Returns:
      This builder for chaining.

  - ### addToBytes

    public DaprAppCallbackProtos.BindingEventResponse.Builder addToBytes​(com.google.protobuf.ByteString value)

         The list of output bindings.

    `repeated string to = 3;`
    Parameters:
      `value` - The bytes of the to to add.
    Returns:
      This builder for chaining.

  - ### getData

    public com.google.protobuf.ByteString getData()

         The content which will be sent to "to" output bindings.

    `bytes data = 4;`
    Specified by:
      `getData` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The data.

  - ### setData

    public DaprAppCallbackProtos.BindingEventResponse.Builder setData​(com.google.protobuf.ByteString value)

         The content which will be sent to "to" output bindings.

    `bytes data = 4;`
    Parameters:
      `value` - The data to set.
    Returns:
      This builder for chaining.

  - ### clearData

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearData()

         The content which will be sent to "to" output bindings.

    `bytes data = 4;`
    Returns:
      This builder for chaining.

  - ### getConcurrencyValue

    public int getConcurrencyValue()

         The concurrency of output bindings to send data to
         "to" output bindings list. The default is SEQUENTIAL.

    `.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`
    Specified by:
      `getConcurrencyValue` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The enum numeric value on the wire for concurrency.

  - ### setConcurrencyValue

    public DaprAppCallbackProtos.BindingEventResponse.Builder setConcurrencyValue​(int value)

         The concurrency of output bindings to send data to
         "to" output bindings list. The default is SEQUENTIAL.

    `.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`
    Parameters:
      `value` - The enum numeric value on the wire for concurrency to set.
    Returns:
      This builder for chaining.

  - ### getConcurrency

    public DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency getConcurrency()

         The concurrency of output bindings to send data to
         "to" output bindings list. The default is SEQUENTIAL.

    `.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`
    Specified by:
      `getConcurrency` in interface `DaprAppCallbackProtos.BindingEventResponseOrBuilder`
    Returns:
      The concurrency.

  - ### setConcurrency

    public DaprAppCallbackProtos.BindingEventResponse.Builder setConcurrency​(DaprAppCallbackProtos.BindingEventResponse.BindingEventConcurrency value)

         The concurrency of output bindings to send data to
         "to" output bindings list. The default is SEQUENTIAL.

    `.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`
    Parameters:
      `value` - The concurrency to set.
    Returns:
      This builder for chaining.

  - ### clearConcurrency

    public DaprAppCallbackProtos.BindingEventResponse.Builder clearConcurrency()

         The concurrency of output bindings to send data to
         "to" output bindings list. The default is SEQUENTIAL.

    `.dapr.proto.runtime.v1.BindingEventResponse.BindingEventConcurrency concurrency = 5;`
    Returns:
      This builder for chaining.

  - ### setUnknownFields

    public final DaprAppCallbackProtos.BindingEventResponse.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`

  - ### mergeUnknownFields

    public final DaprAppCallbackProtos.BindingEventResponse.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)
    Specified by:
      `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
    Overrides:
      `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprAppCallbackProtos.BindingEventResponse.Builder>`